#!/bin/sh

dir=`dirname $0`
dir=`cd $dir; pwd`

PACKAGE=$1

if [ -z "$PACKAGE" -o "-h" = "$1" -o "--help" = "$1" ]; then
  echo "Usage: " `basename $0` "<name of source package>"
  exit -1
fi

if [ -r $dir/control.head ]; then
  cat $dir/control.head
elif [ -r $dir/control.head.in ]; then
  cat $dir/control.head.in | sed -e "s/@PACKAGE@/$1/" > $dir/control.head
  cat $dir/control.head
else
  echo "Could not access control.head nor control.head.in."
  exit -1
fi

for i in $dir/*.summary
do
  echo
  eks="" 
  for e in $experimental
  do
    test x$e = x$i && eks="yes"
  done
  subpkg=`basename $i .summary`

  echo "Package: $PACKAGE-$subpkg"
  if [ "doc" = "$subpkg" -o "monitor" = "$subpkg" ]; then
    echo "Architecture: all"
  else
    echo "Architecture: any"
  fi
  # Depends: wget, perl
  if [ -r $dir/$subpkg.depends ]; then
    echo "Depends: `cat $dir/$subpkg.depends|tr '\n' ',' | sed -e 's/, *$//'`"
  fi
  if [ -r $dir/$subpkg.recommends ]; then
    echo "Recommends: `cat $dir/$subpkg.recommends| tr '\n' ',' | sed -e 's/, *$//' -e 's/,,*/,/g'`"
  fi
  if [ -r $dir/$subpkg.suggests ]; then
    echo "Suggests: `cat $dir/$subpkg.suggests|tr '\n' ',' | sed -e 's/, *$//' -e 's/,,*/,/g'`"
  fi
  echo "Description: `cat $dir/$subpkg.summary|head -1`"
  cat $dir/$subpkg.desc|fmt|sed -e 's/^$/./' -e 's/^/ /'
done

